Subject: Re: bug#36315: 27.0.50; SVG transparency handling is inaccurate

From: Pip Cet <[email-masked]>
Date: Mon, 1 Jul 2019 16:25:49 +0000

On Mon, Jul 1, 2019 at 2:12 PM Eli Zaretskii <[email-masked]> wrote:
> So on balance, I prefer the original fix, which was much simpler.
> Assuming it fixed the problem, of course (I didn't try).

I prefer the other fix, for what it's worth, probably for the same
reasons you don't: it makes it easier to add more fancy features
editors don't need, such as true image transparency and SVG
animations. librsvg has painful limitations such as not allowing us to
pass in a foreground color (it simply uses black), but maybe that'll
be better one day, and then this patch would make it easier for us to
use the new features.

The fix looks more complicated than it is because it changes
indentation (for the better) and removes a misleading comment.